Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.SearchIndexConfig Class Reference

## Public Member Functions
| SearchIndexConfig ()
| Constructor.
| SearchIndexConfig (SearchIndexConfig search_index_config)
| Constructor, with another search index config object. More...
| SearchIndexConfig (String name, boolean is_available, String path, boolean is_selected)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getIs_available ()
| Get specifies whether the serch index is available for selection and searching. More...
boolean | getIs_selected ()
| Get specifies whether the search index participates in the search. More...
String | getName ()
| Get the name of search index. More...
String | getPath ()
| Get the path of the search index. More...
void | set (String name, boolean is_available, String path, boolean is_selected)
| Set values. More...
void | setIs_available (boolean value)
| Set specifies whether the serch index is available for selection and searching. More...
void | setIs_selected (boolean value)
| Set specifies whether the search index participates in the search. More...
void | setName (String value)
| Set the name of search index. More...
void | setPath (String value)
| Set the path of the search index. More...

## Detailed Description

This class represents search index config.

## Constructor & Destructor Documentation

## ◆ SearchIndexConfig() [1/2]

com.foxit.sdk.SearchIndexConfig.SearchIndexConfig | ( | String | name,
|  | boolean | is_available,
|  | String | path,
|  | boolean | is_selected
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

## ◆ SearchIndexConfig() [2/2]

com.foxit.sdk.SearchIndexConfig.SearchIndexConfig | ( | SearchIndexConfig | search_index_config | ) |

Constructor, with another search index config object.

Parameters

  [in] | search_index_config | Another search index config object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.SearchIndexConfig.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getIs_available()

com.foxit.sdk.SearchIndexConfig.getIs_available | ( |  | ) |

Get specifies whether the serch index is available for selection and searching.

Returns
  Specifies whether the serch index is available for selection and searching. true means the index is available, while false means not.

## ◆ getIs_selected()

com.foxit.sdk.SearchIndexConfig.getIs_selected | ( |  | ) |

Get specifies whether the search index participates in the search.

Returns
  Specifies whether the search index participates in the search. true means the index is searched as part of the query, while false means it is not searched.

## ◆ getName()

com.foxit.sdk.SearchIndexConfig.getName | ( |  | ) |

Get the name of search index.

Returns
  The name of search index.

## ◆ getPath()

com.foxit.sdk.SearchIndexConfig.getPath | ( |  | ) |

Get the path of the search index.

Returns
  The path of the search index.

## ◆ set()

void com.foxit.sdk.SearchIndexConfig.set | ( | String | name,
|  | boolean | is_available,
|  | String | path,
|  | boolean | is_selected
| ) |  |

Set values.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

Returns
  None.

## ◆ setIs_available()

com.foxit.sdk.SearchIndexConfig.setIs_available | ( | boolean | value | ) |

Set specifies whether the serch index is available for selection and searching.

Parameters

  [in] | value | Specifies whether the serch index is available for selection and searching. true means the index is available, while false means not.

Returns
  None.

## ◆ setIs_selected()

com.foxit.sdk.SearchIndexConfig.setIs_selected | ( | boolean | value | ) |

Set specifies whether the search index participates in the search.

Parameters

  [in] | value | Specifies whether the search index participates in the search. true means the index is searched as part of the query, while false means it is not searched.

Returns
  None.

## ◆ setName()

com.foxit.sdk.SearchIndexConfig.setName | ( | String | value | ) |

Set the name of search index.

Parameters

  [in] | value | The name of search index.

Returns
  None.

## ◆ setPath()

com.foxit.sdk.SearchIndexConfig.setPath | ( | String | value | ) |

Set the path of the search index.

Parameters

  [in] | value | The path of the search index.

Returns
  None.